---
sidebar_position: 2
description: Create advertising post and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create advertising post
 Creates an advertising post based on a post



`Function CreateAd(Val CampaignNumber, Val DailyLimit, Val CategoryNumber, Val PostID, Val AccountID, Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | CampaignNumber | --campaign | String, Number | &#x2714; | Advertising campaign ID |
  | DailyLimit | --limit | String, Number | &#x2714; | Daily limit in rubles |
  | CategoryNumber | --category | String, Number | &#x2714; | Advertising category number |
  | PostID | --post | String, Number | &#x2714; | ID of the post used for advertising |
  | AccountID | --cabinet | String, Number | &#x2714; | Advertising account ID |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization parameters. See GetAuthParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK



```bsl title="1C:Enterprise/OneScript code example"
    Parameters = GetVKParameters();

    CampaignNumber = "0";
    DailyLimit     = 150;
    CategoryNumber = 126;
    PostID         = "10742";
    AccountID      = "1607951446";

    Result = OPI_VK.CreateAd(CampaignNumber
        , DailyLimit
        , CategoryNumber
        , PostID
        , AccountID
        , Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint vk CreateAd \
             --campaign 1031656648 \
             --limit 150 \
             --category 126 \
             --post 10372 \
             --cabinet "1607951446" \
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint vk CreateAd ^
             --campaign 1031656648 ^
             --limit 150 ^
             --category 126 ^
             --post 10372 ^
             --cabinet "1607951446" ^
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "response": [
  {
   "id": 0,
   "error_code": 603,
   "error_desc": "Some ads error occurs: ORD details must be presented."
  }
 ]
}
```
